

import {iot, uPublic, uComponents} from '../../public/public.js';
import config from '../../public/public.js';


iot.ready(init);
function init() {
	uPublic.componentsExtend(['android-notify']);
	var form = new Vue({
	    el: '#content',
	    data:{
	    	initButtonText: "测试按钮",
	    	componentsConfig: initComponentsConfig(),//初始化数据
	    	dialogFlag:true,
	    	showFlags:false,
	    	onNotifyToIndex:notifyToIndex //改方法传入
	    },
	    mounted:function(){

			},
	    methods: {
    		onTapButton(){
        		tapButton(this);
        	},

        	onAddDeviceButtonTap(){
        		console.log("onAddDeviceButtonTap......");
        	},

        	onToSetting(){
        		console.log("点击了toSetting");
        	}
	    }
	    
	});

	function notifyToIndex(){
		iot.navigator.fire(plus.webview.getWebviewById('device'),'returnPage',{
	    	needClose: true
		});
		iot.navigator.openWindow({
	        url: './index.html',
	        id: 'device',
	        styles: {
	        	popGesture: 'none'
	        },
	        extras: {
	        	needClose: true
	        }
	    });
	}

	function tapButton(self){
	    console.log("tapButton.......");
	 }

	 //初始化组件参数
    function initComponentsConfig() {
        return {
            // 设置通知弹出框参数
            notifyDialog: {
                // 默认参数
                initParam: {
                	// appName:"js.通用门锁",
                	// time:"js.刚刚",
                 //    title:'js.开启通知',
                 //    content1:'js.开启通知后您将可以及时获取门锁报警',
                 //    content2:'js.提醒、门锁开门消息通知',
                 //    accept:'js.我知道了！',
                 //    buttonTitle:'js.前往开启通知设置'
                }
            },
            addDeviceButton:{
                // 默认参数
                initParam: {
                    class: 'edit-name-button',
                    text: "这是测试button"
                }
            }
            
        };
    }
}






